using SushiBarContracts.BindingModels;
using SushiBarContracts.SearchModels;
using SushiBarContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SushiBarContracts.BusinessLogicsContracts
{
    public interface ISushiLogic
    {
        List<SushiViewModel>? ReadList(SushiSearchModel? model);
        SushiViewModel? ReadElement(SushiSearchModel model);
        bool Create(SushiBindingModel model);
        bool Update(SushiBindingModel model);
        bool Delete(SushiBindingModel model);
    }

}
